#pragma once

#include "volumeshop.h"

#include "ImporterPlugin.h"
#include "PluginInstance.h"
#include "Importer.h"
#include <gdcm.h>

class ImporterDicom : public Importer, public PluginInstance<ImporterPlugin>
{
public:

	ImporterDicom(Plugin & pluPlugin);
	virtual ~ImporterDicom();
	virtual Loader* load(Resource & resResource);
	virtual void filenameChanged(const Variant & variant, const Observable::Event & event);
	virtual void serieChanged(const Variant & variant, const Observable::Event & event);
	virtual void showSlices();
	virtual void showSeries(const bool clearList);
private:
	ModifiedObserver _observerFile;
	ModifiedObserver _observerSerie;
	gdcm::SerieHelper *_serieHelper;
	bool _serieLocked;
};

DECLARE_IMPORTERPLUGIN(ImporterDicom)